import request from '@/config/axios'

export const getPage = (params) => {
  return request.get({ url: '/model/pre/auto-adjust-config/page', params })
}

export const getInfo = (id) => {
  return request.get({ url: `/model/pre/auto-adjust-config/get/${id}`})
}

export const create = (data) => {
  return request.post({ url: '/model/pre/auto-adjust-config/create', data })
}

export const update = (data) => {
  return request.put({ url: '/model/pre/auto-adjust-config/update', data })
}

export const deleteConfig = (id) => {
  return request.delete({ url: '/model/pre/auto-adjust-config/delete?id=' + id })
}
